--[[----------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2020 Adobe
All Rights Reserved.

NOTICE: All information contained herein is, and remains
the property of Adobe and its suppliers, if any. The intellectual
and technical concepts contained herein are proprietary to Adobe
and its suppliers and are protected by all applicable intellectual
property laws, including trade secret and copyright laws.
Dissemination of this information or reproduction of this material
is strictly forbidden unless prior written permission is obtained
from Adobe.

------------------------------------------------------------------------------]]

	-- WF.oz_client.managed_catalog
local WFCatEditDefaults = require 'WFCatEditDefaults'

	-- WF.core.models
local WFModelsUtils = require 'WFModelsUtils'

--------------------------------------------------------------------------------

local LrmLibraryEditDefaultsModelImp = {}

--==============================================================================


function LrmLibraryEditDefaultsModelImp:getEditDefaultsEnabled()

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatEditDefaults.getEditDefaultsEnabled )

end

--------------------------------------------------------------------------------

function LrmLibraryEditDefaultsModelImp:setEditDefaultsEnabled( enabled )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatEditDefaults.setEditDefaultsEnabled, enabled )

end

--------------------------------------------------------------------------------

function LrmLibraryEditDefaultsModelImp:getDefaultImportPreset()

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatEditDefaults.getDefaultImportPreset )

end

--------------------------------------------------------------------------------

function LrmLibraryEditDefaultsModelImp:setDefaultImportPreset( presetName, presetDigest )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatEditDefaults.setDefaultImportPreset, presetName, presetDigest )

end

--------------------------------------------------------------------------------


function LrmLibraryEditDefaultsModelImp:getEditDefaultsEnabledWithImportPreset()

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatEditDefaults.getEditDefaultsEnabledWithImportPreset )

end

--------------------------------------------------------------------------------
--==============================================================================
-- @mark	APIs for post June 2020
--==============================================================================

function LrmLibraryEditDefaultsModelImp:getPresetForCameraModel( catalog, modelName )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatEditDefaults.getPresetForCameraModel, modelName )

end

--------------------------------------------------------------------------------

function LrmLibraryEditDefaultsModelImp:setPresetForCameraModel( modelName, presetName, presetDigest )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatEditDefaults.setPresetForCameraModel, modelName, presetName, presetDigest )

end

--------------------------------------------------------------------------------

function LrmLibraryEditDefaultsModelImp:removePresetForCameraModel( modelName )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatEditDefaults.removePresetForCameraModel. modelName )

end

--------------------------------------------------------------------------------

function LrmLibraryEditDefaultsModelImp:listPresetsByCameraModel()

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatEditDefaults.listPresetsByCameraModel )

end

--------------------------------------------------------------------------------

return LrmLibraryEditDefaultsModelImp
